/* Fonts  */

/*Roboto -> light 300, light italic 300, medium 500 */
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,300;0,500;1,300&display=swap");

/* Poppins -> thin 100 extralight 200 italic,regular 400,medium 500,medium italic 500, bold 700 italic*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,400;0,500;1,200;1,500;1,700&display=swap");

/* Figtree for the body */
@import url("https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&display=swap");

/* Goblal Styles */
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
/* Variebles */
:root {
  /* Colors */

  --charcoal: #384357ff;
  --beaver: #977f73ff;
  --prussian-blue: #152434ff;
  --french-gray: #cfd6e1ff;
  --persian-red: #cf3624ff;

  /* Color Usage

Primary Color (60%) 
  - This is where the user’s attention goes. Calls-to-action, buttons, and any other important information should utilize the primary color.

Secondary Color (30%)
  - The secondary colors are used to highlight less important elements. Secondary action buttons, less important text, and anything else that doesn’t need immediate attention should be presented in a secondary color.

Neutral/Additional colors (10%)
  - Neutrals are typically used for text, backgrounds, or anything else that does not need to compete for attention.

*/

  /*Primary */
  --PRIMARY-COLOR: #ffa500; /* 60% */
  /* --DK-ORANGE: #ff7f11; */
  /* --DK-ORANGE: #c05a00; */
  /*#FFA500 - Orange* /
  /*#ff7f11 - Dark Orange* /
  /* --SECONDARY-COLOR: #00c6b4; 30 */
  --SECONDARY-COLOR: #011627; /*30*/
  --TERTIARY-COLOR: #fdfffc; /* 10%*/

  --TEST-CLR-1: #960200; /* 10%*/
  --TEST-CLR-2: #1282a2; /* 10%*/

  /* Old Colors */
  /* --PRIMARY-COLOR: #152434ff; /* 60% */
  /* --SECONDARY-COLOR: #00c6b4; /*30 */
  /* --SECONDARY-COLOR: #148888; 30 */
  /* --TERTIARY-COLOR: #d3fbd8; 10% */

  --NATURAL: #fff;
  --DARK-LIGHT: #f3f3f3;
  --DARK-LIGHT-BG: #e8ebf7;

  /* General */
  --CONTAINER-BG-C: rgba(0, 0, 0, 0.5);
  --BOX-SHADOW: 10px 10px 5px 0px rgba(0, 0, 0, 54);
  --TEXT-SHADOW: 4px 4px 3px black;

  /* Colors */
  --LIGHT: #fff;
  --DARK: #000;

  /* --DARK-COLOR-TR: hsla(0, 0%, 0%, 0.205); */
  --DARK-COLOR-TR: hsla(0, 0%, 0%, 0.448);

  /* Number Sizes */
  --XX-S: 0.5rem;
  --X-S: 1rem;
  --S-S: 1.125rem;
  --S: 1.5rem;
  --M: 2rem;
  --L: 2.5rem;
  --X-L: 3rem;
  --XX-L: 3.5rem;
}
/* Utilities Classes */

/* Displays */

.grid {
  display: grid;
}

.grid-center {
  display: grid;
  justify-content: center;
  /* align-items: center; */ /* Will center basedd on there content*/
}

/* 1 Grid Column */
.grid-1-col {
  grid-template-columns: repeat(1, 1fr);
}

/* 2 Grid Column */
.grid-2-col {
  grid-template-columns: repeat(2, 1fr);
}

/* 3 Grid Column */
.grid-3-col {
  grid-template-columns: repeat(3, 1fr);
  /* grid-template-rows: auto auto 1fr;
  grid-template-areas: "card-1 card-2 card-3"; */
}
.flex {
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: flex;
}

.flex-center {
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Hide Content */

.hide-content {
  opacity: 0;
  visibility: hidden;
}
/* .active-content {
  opacity: 0;
  visibility: hidden;
} */

/* center content */
.center {
  margin: 0 auto;
}

/* Center Content */
.text-center {
  text-align: center;
}

/* Container Propeties */
.wrapper {
  width: 100%;
  /* max-width: 1440px; */ /*Should be but on the content contain*/
  margin: 0 auto;
}

/* Header */

/* Hidden */
.hidden {
  display: none;
}

/* No Scroll When Navigation is Open */
.no_scroll {
  overflow: hidden; /* To stop scrolling during when the navigation is open*/
}

/* Separator */
.separator {
  padding: 40px 20px calc(40px + 5px) 20px; /*Top Right Bottom Left*/
}

/* Makes the content take the full width */
.sub-content {
  display: block;
}

/* Un Ordered List Styling */
ul {
  list-style: none;
}

.ulist-bullets-item {
  padding: 4px 0;
  margin: 0 36px;
}

/* Image with no leaks or overflow */
img {
  display: block;
  object-fit: cover;
  height: 100%;
  width: 100%;
}

a {
  cursor: pointer;
  text-decoration: none;
}

/* Achoq styled like a button */
.aBtn {
  display: block;
  font-family: inherit;
  border: none;
  font-size: 18px;
  padding: 10px 20px;
  border-radius: 4px;
}

/* The form styles  can't be set globally*/

/* input {
  font-family: inherit;
  color: inherit;
  outline: none;
} */
button {
  font-family: inherit;
  cursor: pointer;
  border: none;
  font-size: 1.2rem;
  font-weight: 600;
  padding: 10px 20px;
  border-radius: 4px;
}

/* Testing */
input {
  font-family: inherit;
  width: 100%;
  padding: 5px;
  /* color: var(--NATURAL); */
  /* background-color: transparent; */
  border: 1px solid black;
}

/* Required Input Fields */
.req {
  color: red;
}

.gap {
  gap: 10px;
}

/* Icon Container */
.icon-container {
  margin-bottom: 15px;
}

/* Packages Separator */
.packages-separator {
  border: 1px solid black;
  margin: 20px 0;
}

/* Typograpy */

/* Headings */

h1,
h2,
h3,
h4 {
  font-family: "Poppins", sans-serif;
}

h1 {
  font-family: "Roboto", cursive;
  text-transform: uppercase;
  font-size: var(--S);
  text-align: center;
  /* text-align: center; */
  /* color: #395281; */
  color: var(--PRIMARY-COLOR);
  font-weight: 700;
  font-weight: var(--FW-700);
  margin-bottom: 10px;
}

h2 {
  text-align: center;
  font-size: var(--S);
  color: var(--SECONDARY-COLOR);
  text-transform: uppercase;
  font-weight: 700;
  /* font-style: italic; */
  padding: 5px 10px;
  /* padding: 0 10px; */
  /* margin-bottom: 15px; */
  margin-bottom: 10px;

  /* text-align: center; */
}

h3 {
  /* color: var(--PRIMARY-COLOR); */
  /*color: #fe6601;*/ /*Dark Orange, tangerine #F08000*/
  color: rgb(22, 22, 132);
  color: #004157; /*Dark Orange*, tangerine #F08000/ 
  font-size: var(--S-S);
  /* color: var(--TEST-CLR-2); */
  /* text-transform: uppercase; */
  font-weight: 700;
  /* text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.6); */
  /* letter-spacing: 0.8px; */
  text-transform: uppercase;
  margin-bottom: 10px;
}

h4 {
  /* font-size: var(--X-S); */
  /* /* margin: 4px 0; */
  font-weight: 600;
  margin-top: 5px;
  margin-bottom: 3px;
}

h5 {
  margin: 4px 0;
}

h6 {
  margin: 3px 0;
}

/* Backup code */
/* box-shadow: 0 10px 20px rgba(0, 0, 0, 0.04); */
